Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl
Interface AclProvider

All Known Implementing Classes:
  BasicAclProvider

    public interface AclProvider

Indicates a class can process a given domain object instance and authoritatively return the ACLs that apply.

Implementations are typically called from the `AclProviderManager`.

Version:
  $Id: AclProvider.java,v 1.2 2005/11/17 00:55:51 benalex Exp $
Author:
  Ben Alex

Method Summary
`AclEntry[]` | `getAcls(Object domainInstance)` Obtains the ACLs that apply to the specified domain instance.
`AclEntry[]` | `getAcls(Object domainInstance, Authentication authentication)` Obtains the ACLs that apply to the specified domain instance and presented `Authentication` object.
`boolean` | `supports(Object domainInstance)` Indicates whether this `AclProvider` can authoritatively return ACL information for the specified domain object instance.

Method Detail

### getAcls

    AclEntry[] getAcls(Object domainInstance)

  Obtains the ACLs that apply to the specified domain instance.

  Will never be called unless the `supports(Object)` method returned `true`.

  Parameters:
    `domainInstance` - the instance for which ACL information is required (never `null`)
  Returns:
    the ACLs that apply, or `null` if no ACLs apply to the specified domain instance

### getAcls

    AclEntry[] getAcls(Object domainInstance,
                       Authentication authentication)

  Obtains the ACLs that apply to the specified domain instance and presented `Authentication` object.

  Will never be called unless the `supports(Object)` method returned `true`.

  Parameters:
    `domainInstance` - the instance for which ACL information is required (never `null`)
    `authentication` - the prncipal for which ACL information should be filtered (never `null`)
  Returns:
    only those ACLs applying to the domain instance that have been granted to the principal (or `null`) if no such ACLs are found

### supports

    boolean supports(Object domainInstance)

  Indicates whether this `AclProvider` can authoritatively return ACL information for the specified domain object instance.

  Parameters:
    `domainInstance` - the instance for which ACL information is required (never `null`)
  Returns:
    `true` if this provider is authoritative for the specified domain object instance, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.